/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.stocks.service;

import java.util.List;
import org.springframework.web.multipart.MultipartFile;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.stocks.dto.CheckTaskInfoDto;
import com.tofly.stocks.dto.CheckTaskQuery;
import com.tofly.stocks.entity.CheckTask;
import com.tofly.stocks.vo.CheckDetailVo;
import com.tofly.stocks.vo.CheckTaskVo;

/**
 * 库存盘点任务表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
public interface CheckTaskService extends IService<CheckTask> {
	
    boolean editCheckTaskInfo(CheckTaskInfoDto checkTaskInfoDto, List<MultipartFile> files) throws Exception;

    boolean deleteByIds(String ids);

    Page<CheckTaskVo> getDataPage(Page page, CheckTaskQuery checkTaskQuery);
    
    List<CheckDetailVo> getCheckDetailsByTaskId(Long checkTaskId);

    CheckTaskVo getByPlanTaskId(Long id);
}